Debian Bug report logs - #147637
gdm: Please package gdm for GNOME 2

version graph

Package: gdm; Maintainer for gdm is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: "Christian Marillat" <marillat@debian.org>

Date: Tue, 21 May 2002 08:48:15 UTC

Severity: wishlist

Tags: pending, sid

Merged with 155638, 169226, 189787

Found in versions 2.2.5.5-2, 2.4.1.3-2

Fixed in version gdm/2.4.1.3-1

Done: Ryan Murray <rmurray@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#147637; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to "Christian Marillat" <marillat@debian.org>:
New Bug report received and forwarded. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Christian Marillat" <marillat@debian.org>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: gdm: Please package gdm for GNOME 2
Date: Tue, 21 May 2002 10:48:05 +0200
Package: gdm
Version: 2.2.5.5-2
Severity: wishlist

Hi,

The latest GNOME 2 tarball (2.3.90.3) can be found here :

http://ftp.gnome.org/pub/GNOME/pre-gnome2/latest/sources/

If this package is too unstable or can be installed in parallel with the
current GNOME 1 package, you should upload this package to experimental.

Christian

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux falcon.wanadoo.fr 2.4.18 #3 jeu avr 4 14:23:31 CEST 2002 i686
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro

Versions of packages gdm depends on:
ii  adduser                       3.47       Add and remove users and groups
ii  debconf                       1.1.3      Debian configuration management sy
ii  dpkg                          1.9.21     Package maintenance system for Deb
ii  gdk-imlib1                    1.9.14-3   Gdk-Imlib is an imaging library fo
ii  libart2                       1.4.1.6-1  The Gnome canvas widget - runtime 
ii  libaudiofile0                 0.2.3-4    The Audiofile Library
ii  libc6                         2.2.5-6    GNU C Library: Shared libraries an
ii  libdb3                        3.2.9-16   Berkeley v3 Database Libraries [ru
ii  libesd0                       0.2.23-3   Enlightened Sound Daemon - Shared 
ii  libgdk-pixbuf2                0.17.0-2   The GdkPixBuf library.
ii  libglade-gnome0               1:0.17-2.2 Library to load .glade files at ru
ii  libglade0                     1:0.17-2.2 Library to load .glade files at ru
ii  libglib1.2                    1.2.10-4   The GLib library of C routines
ii  libgnome32                    1.4.1.6-1  The Gnome libraries
ii  libgnomesupport0              1.4.1.6-1  The Gnome libraries (Support libra
ii  libgnomeui32                  1.4.1.6-1  The Gnome libraries (User Interfac
ii  libgtk1.2                     1.2.10-12  The GIMP Toolkit set of widgets fo
ii  libjpeg62                     6b-5       The Independent JPEG Group's JPEG 
ii  libpam-modules                0.72-35    Pluggable Authentication Modules f
ii  libpam0g                      0.72-35    Pluggable Authentication Modules l
ii  libpng2                       1.0.12-3   PNG library - runtime
ii  libtiff3g                     3.5.5-6    Tag Image File Format library
ii  libungif4g                    4.1.0b1-2  shared library for GIF images (run
ii  libwrap0                      7.6-9      Wietse Venema's TCP wrappers libra
ii  libxml1                       1:1.8.17-2 GNOME XML library
ii  scrollkeeper                  0.3.8-1    A free electronic cataloging syste
ii  xlibs                         4.1.0-16   X Window System client libraries
ii  zlib1g                        1:1.1.4-1  compression library - runtime

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#147637; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Alex Malinovich <demonbane@the-love-shack.net>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 147637@bugs.debian.org (full text, mbox):

From: Alex Malinovich <demonbane@the-love-shack.net>
To: 147637@bugs.debian.org
Subject: gdm: Please package gdm for GNOME 2
Date: 21 Sep 2002 16:58:58 -0500
[Message part 1 (text/plain, inline)]
Is there a reason that gdm2 isn't in experimental yet? I've been using
the gdm2 source package from hadess.net compiled on my i386 (well, 686
actually) system for months now with no problems. What's the holdup?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#147637; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <luther@dpt-info.u-strasbg.fr>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 147637@bugs.debian.org (full text, mbox):

From: Sven Luther <luther@dpt-info.u-strasbg.fr>
To: 147637@bugs.debian.org
Subject: gnome 2 will enter testing on sunday, where is gdm 2 ?
Date: Fri, 25 Oct 2002 08:59:47 +0200
Hello, ...

Gnome 2 is scheduled to enter unstable on sunday october 27,
if all goes well. It will then replace gnome 1 in unstable.

It would be really nice that gdm 2 where available in unstable to at
this time, So the complete gnome 2 experience could be tested and
debugged before it enters testing.

Friendly,

Sven Luther



Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#147637; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Colin Walters <walters@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 147637@bugs.debian.org (full text, mbox):

From: Colin Walters <walters@debian.org>
To: 147637@bugs.debian.org
Subject: GDM 2.4
Date: 31 Oct 2002 23:15:22 -0500
I'd just like to repeat my offer to upload gdm 2.4 if you are too busy.




Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#147637; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to peloy@chapus.net (Eloy A. Paris):
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 147637@bugs.debian.org (full text, mbox):

From: peloy@chapus.net (Eloy A. Paris)
To: walters@debian.org
Cc: 147637@bugs.debian.org
Subject: Re: GDM 2.4
Date: 14 Nov 2002 23:50:44 -0500
Colin,

> I'd just like to repeat my offer to upload gdm 2.4 if
> you are too busy.

I think Ryan is clearly too busy.  I haven't even seen any comments from
him regarding the "please package GDM 2.4" bugs. Last I heard was that
he had said he would package GDM 2.4 when Gnome hit unstable, but that
was a long time ago, and GDM has been in unstable for several weeks now.

A NMU would be really really nice, and lots of people would appreciate
it, inluding maybe Ryan - he'll then be able to do a maintainer upload
very easily based on your work.

Cheers,

Eloy.-






Merged 147637 169226. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Merged 147637 155638 169226. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Merged 147637 155638 169226. Request was from Graham Wilson <bob@decoy.wox.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#147637; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Austin Chu <achu@musowls.org>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #36 received at 147637@bugs.debian.org (full text, mbox):

From: Austin Chu <achu@musowls.org>
To: 147637@bugs.debian.org
Subject: Checkup
Date: Mon, 10 Mar 2003 21:09:45 -0600
I was just wondering what the status of GDM2 in Debian was. It's now 
mid-March, and sid is tracking GNOME 2.2. Other than a lack of time on 
the maintainer's part, I can't see any obstacles to putting GDM2 in sid.




Information forwarded to debian-bugs-dist@lists.debian.org, gdm@packages.qa.debian.org:
Bug#147637; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Ryan Murray <rmurray@debian.org>:
Extra info received and forwarded to list. Copy sent to gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #41 received at 147637@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: Austin Chu <achu@musowls.org>, 147637@bugs.debian.org
Subject: Re: Bug#147637: Checkup
Date: Mon, 10 Mar 2003 19:48:51 -0800
[Message part 1 (text/plain, inline)]
On Mon, Mar 10, 2003 at 09:09:45PM -0600, Austin Chu wrote:
> I was just wondering what the status of GDM2 in Debian was. It's now 
> mid-March, and sid is tracking GNOME 2.2. Other than a lack of time on 
> the maintainer's part, I can't see any obstacles to putting GDM2 in sid.

libbonoboui-dev only started building from source for all supported archs
3 days ago.

-- 
Ryan Murray, Debian Developer (rmurray@cyberhqz.com, rmurray@debian.org)
The opinions expressed here are my own.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#147637; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Colin Walters <walters@verbum.org>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #46 received at 147637@bugs.debian.org (full text, mbox):

From: Colin Walters <walters@verbum.org>
To: 147637@bugs.debian.org
Subject: bonobo?
Date: 01 Apr 2003 02:18:01 -0500
So, it's April 2003 now, and this bug was filed in May 2002, so it's
close to a year old.

I looked at the most recent entry in the bug log, and by way of
explanation you say 
"libbonoboui-dev only started building from source for all supported
archs 3 days ago."

...which doesn't make very much sense at all because gdm doesn't even
depend on bonobo.  So how again does uploading gdm relate to bonobo
compiling on all architectures?

It would take me about 1 minute to do an upload.  1 trivial minute that
I or many other people could have taken over the past year.  I'd like to
repeat my offer to do so.

This is getting pretty ridiculous...




Merged 147637 155638 169226 189787. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#147637; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Colin Walters <walters@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #53 received at 147637@bugs.debian.org (full text, mbox):

From: Colin Walters <walters@debian.org>
To: 147637@bugs.debian.org
Subject: nmu in DELAYED/7-day
Date: 22 Apr 2003 03:55:00 -0400
[Message part 1 (text/plain, inline)]
Hello,

I have made a NMU to DELAYED/7-day.  If there is a problem with the
package please let me know.  I have had several people test it (besides
myself), and they have reported success.

[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ryan Murray <rmurray@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Christian Marillat" <marillat@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #60 received at 147637-close@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: 147637-close@bugs.debian.org
Subject: Bug#147637: fixed in gdm 2.4.1.3-1
Date: Mon, 28 Apr 2003 16:32:42 -0400
We believe that the bug you reported is fixed in the latest version of
gdm, which is due to be installed in the Debian FTP archive:

gdm_2.4.1.3-1.diff.gz
  to pool/main/g/gdm/gdm_2.4.1.3-1.diff.gz
gdm_2.4.1.3-1.dsc
  to pool/main/g/gdm/gdm_2.4.1.3-1.dsc
gdm_2.4.1.3-1_i386.deb
  to pool/main/g/gdm/gdm_2.4.1.3-1_i386.deb
gdm_2.4.1.3.orig.tar.gz
  to pool/main/g/gdm/gdm_2.4.1.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 147637@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Murray <rmurray@debian.org> (supplier of updated gdm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 28 Apr 2003 11:47:58 -0700
Source: gdm
Binary: gdm
Architecture: source i386
Version: 2.4.1.3-1
Distribution: unstable
Urgency: low
Maintainer: Ryan Murray <rmurray@debian.org>
Changed-By: Ryan Murray <rmurray@debian.org>
Description: 
 gdm        - GNOME Display Manager
Closes: 60890 108732 114933 117652 121889 136695 141184 142539 145895 147637 151628 155335 162353 164103 167322 169645 174708 175405 179814 186436 189238
Changes: 
 gdm (2.4.1.3-1) unstable; urgency=low
 .
   * New upstream release (closes: #147637)
     + gdm no longer blocks SIGCHLD (closes: #141184)
     + updated desktop files (closes: #175405)
     + clean rule less aggressive (closes: #108732)
     + gdm doesn't open any tty that already has a getty running on it
       (closes: #60890)
     + gdmconfig now works (closes: #145895, #189238)
     + gdm deals gracefully with missing sessions (closes: #169645)
     + gdm's error messages are clearer (closes: #114933)
     + username fields are limited (closes: #162353)
     + LANG isn't changed if the menu isn't used (closes: #151628)
   * Update debconf template translations from current xdm package
     (closes: #174708, #142539)
   * Create system group rather than user group (closes: #167322)
   * Use a locale configuration file based on all glibc supported locales
     (closes: #117652, #121889, #136695)
   * Set $PWD to $HOME, which makes shells happier when $HOME is a
     symlink (closes: #179814)
   * Remove conflicts from potato (closes: #186436)
   * remove scrollkeeper handling as it is no longer needed
     (closes: #164103)
   * no longer use login shell to start session script, as having *dm logins
     be a login shell suprises users, as no other *dm does so (closes: #155335)
   * add a conflict with gdm2
   * Change section to gnome
Files: 
 dbdbcf146656ef401178f6904b91be55 630 gnome optional gdm_2.4.1.3-1.dsc
 f9bcd01169db831febb6bf16dc8f65dd 2897175 gnome optional gdm_2.4.1.3.orig.tar.gz
 b9cb5742cfab18c80d1fb602e86b61e0 68660 gnome optional gdm_2.4.1.3-1.diff.gz
 f456795fd179ac85e1449883545722d7 1499052 gnome optional gdm_2.4.1.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+rXgRN2Dbz/1mRasRAhJxAKD7QDBTZbbxKhgh5VW+CqTaWd52uQCggbEL
73phNdQvp+E2ui0pU5UzOCM=
=5Rly
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:55:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.